Debian Bug report logs - #634606
gcolor2: FTBFS: *** libtool.m4 and ltmain.sh have a version mismatch! ***

version graph

Package: src:gcolor2; Maintainer for src:gcolor2 is Carlos C Soto <csoto@sia-solutions.com>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 19 Jul 2011 06:53:25 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version gcolor2/0.4-2

Fixed in version gcolor2/0.4-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Carlos C Soto <csoto@sia-solutions.com>:
Bug#634606; Package src:gcolor2. (Tue, 19 Jul 2011 06:53:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Carlos C Soto <csoto@sia-solutions.com>. (Tue, 19 Jul 2011 06:53:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gcolor2: FTBFS: *** libtool.m4 and ltmain.sh have a version mismatch! ***
Date: Tue, 19 Jul 2011 08:38:06 +0200
Source: gcolor2
Version: 0.4-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110718 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  debian/rules build
> dh_testdir
> # Add here commands to configure the package.
> CFLAGS="-Wall -g -O2" ./configure --host=x86_64-linux-gnu --build=x86_64-linux-gnu --prefix=/usr --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for gawk... no
> checking for mawk... mawk
> checking whether make sets $(MAKE)... yes
> checking whether to enable maintainer-specific portions of Makefiles... no
> checking for x86_64-linux-gnu-gcc... x86_64-linux-gnu-gcc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables... 
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether x86_64-linux-gnu-gcc accepts -g... yes
> checking for x86_64-linux-gnu-gcc option to accept ANSI C... none needed
> checking for style of include used by make... GNU
> checking dependency style of x86_64-linux-gnu-gcc... gcc3
> checking build system type... x86_64-pc-linux-gnu
> checking host system type... x86_64-pc-linux-gnu
> checking for a sed that does not truncate output... /bin/sed
> checking for egrep... grep -E
> checking for ld used by x86_64-linux-gnu-gcc... /usr/bin/ld
> checking if the linker (/usr/bin/ld) is GNU ld... yes
> checking for /usr/bin/ld option to reload object files... -r
> checking for BSD-compatible nm... nm
> checking whether ln -s works... yes
> checking how to recognise dependent libraries... pass_all
> checking how to run the C preprocessor... x86_64-linux-gnu-gcc -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for unistd.h... yes
> checking dlfcn.h usability... yes
> checking dlfcn.h presence... yes
> checking for dlfcn.h... yes
> checking for x86_64-linux-gnu-g++... x86_64-linux-gnu-g++
> checking whether we are using the GNU C++ compiler... yes
> checking whether x86_64-linux-gnu-g++ accepts -g... yes
> checking dependency style of x86_64-linux-gnu-g++... gcc3
> checking how to run the C++ preprocessor... x86_64-linux-gnu-g++ -E
> checking for x86_64-linux-gnu-g77... no
> checking for x86_64-linux-gnu-f77... no
> checking for x86_64-linux-gnu-xlf... no
> checking for x86_64-linux-gnu-frt... no
> checking for x86_64-linux-gnu-pgf77... no
> checking for x86_64-linux-gnu-fort77... no
> checking for x86_64-linux-gnu-fl32... no
> checking for x86_64-linux-gnu-af77... no
> checking for x86_64-linux-gnu-f90... no
> checking for x86_64-linux-gnu-xlf90... no
> checking for x86_64-linux-gnu-pgf90... no
> checking for x86_64-linux-gnu-epcf90... no
> checking for x86_64-linux-gnu-f95... no
> checking for x86_64-linux-gnu-fort... no
> checking for x86_64-linux-gnu-xlf95... no
> checking for x86_64-linux-gnu-ifc... no
> checking for x86_64-linux-gnu-efc... no
> checking for x86_64-linux-gnu-pgf95... no
> checking for x86_64-linux-gnu-lf95... no
> checking for x86_64-linux-gnu-gfortran... no
> checking for g77... no
> checking for f77... no
> checking for xlf... no
> checking for frt... no
> checking for pgf77... no
> checking for fort77... no
> checking for fl32... no
> checking for af77... no
> checking for f90... no
> checking for xlf90... no
> checking for pgf90... no
> checking for epcf90... no
> checking for f95... no
> checking for fort... no
> checking for xlf95... no
> checking for ifc... no
> checking for efc... no
> checking for pgf95... no
> checking for lf95... no
> checking for gfortran... no
> checking whether we are using the GNU Fortran 77 compiler... no
> checking whether  accepts -g... no
> checking the maximum length of command line arguments... 32768
> checking command to parse nm output from x86_64-linux-gnu-gcc object... ok
> checking for objdir... .libs
> checking for x86_64-linux-gnu-ar... no
> checking for ar... ar
> checking for x86_64-linux-gnu-ranlib... no
> checking for ranlib... ranlib
> checking for x86_64-linux-gnu-strip... no
> checking for strip... strip
> grep: character class syntax is [[:space:]], not [:space:]
> checking for correct ltmain.sh version... no
> 
> *** Gentoo sanity check failed! ***
> *** libtool.m4 and ltmain.sh have a version mismatch! ***
> *** (libtool.m4 = 1.5.18, ltmain.sh = ) ***
> 
> Please run:
> 
>   libtoolize --copy --force
> 
> if appropriate, please contact the maintainer of this
> package (or your distribution) for help.
> 
> make: *** [config.status] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/07/18/gcolor2_0.4-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Carlos C Soto <csoto@sia-solutions.com>:
Bug#634606; Package src:gcolor2. (Thu, 15 Sep 2011 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Carlos C Soto <csoto@sia-solutions.com>. (Thu, 15 Sep 2011 22:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 634606@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 634606@bugs.debian.org
Subject: Re: Bug#634606: gcolor2: FTBFS: *** libtool.m4 and ltmain.sh have a version mismatch! ***
Date: Thu, 15 Sep 2011 23:46:09 +0100
tags 634606 patch
user ubuntu-devel@lists.ubuntu.com
usertags 634606 ubuntu-patch oneiric
thanks

On Tue, Jul 19, 2011 at 08:38:06AM +0200, Lucas Nussbaum wrote:
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> Relevant part:
[...]
> > grep: character class syntax is [[:space:]], not [:space:]
> > checking for correct ltmain.sh version... no
> > 
> > *** Gentoo sanity check failed! ***
> > *** libtool.m4 and ltmain.sh have a version mismatch! ***
> > *** (libtool.m4 = 1.5.18, ltmain.sh = ) ***

Here's a patch.

  * aclocal.m4: Add an extra layer of quoting to ltmain.sh sanity check
    (closes: #634606, LP: #831236).

--- gcolor2-0.4.orig/aclocal.m4
+++ gcolor2-0.4/aclocal.m4
@@ -1106,7 +1106,7 @@
   exit 1
 fi
 gentoo_lt_version="1.5.18"
-gentoo_ltmain_version=`grep '^[[:space:]]*VERSION=' $ltmain | sed -e 's|^[[:space:]]*VERSION=||'`
+gentoo_ltmain_version=`[grep '^[[:space:]]*VERSION=' $ltmain | sed -e 's|^[[:space:]]*VERSION=||']`
 if test "$gentoo_lt_version" != "$gentoo_ltmain_version"; then
   AC_MSG_RESULT(no)
   echo
--- gcolor2-0.4.orig/configure
+++ gcolor2-0.4/configure
@@ -6155,7 +6155,7 @@
   exit 1
 fi
 gentoo_lt_version="1.5.18"
-gentoo_ltmain_version=`grep '^[:space:]*VERSION=' $ltmain | sed -e 's|^[:space:]*VERSION=||'`
+gentoo_ltmain_version=`grep '^[[:space:]]*VERSION=' $ltmain | sed -e 's|^[[:space:]]*VERSION=||'`
 if test "$gentoo_lt_version" != "$gentoo_ltmain_version"; then
   echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Added tag(s) patch. Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Thu, 15 Sep 2011 22:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Carlos C Soto <csoto@sia-solutions.com>:
Bug#634606; Package src:gcolor2. (Sat, 05 Nov 2011 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Carlos C Soto <csoto@sia-solutions.com>. (Sat, 05 Nov 2011 15:09:03 GMT) Full text and rfc822 format available.

Message #17 received at 634606@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 634606@bugs.debian.org
Subject: gcolor2: diff for NMU version 0.4-2.1
Date: Sat, 5 Nov 2011 16:06:58 +0100
[Message part 1 (text/plain, inline)]
tags 634606 + pending
thanks

Dear maintainer,

I've prepared an NMU for gcolor2 (versioned as 0.4-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Alanis Morissette: That I Would Be Good
[634606.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 05 Nov 2011 15:09:05 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Mon, 07 Nov 2011 15:33:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 07 Nov 2011 15:33:08 GMT) Full text and rfc822 format available.

Message #24 received at 634606-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 634606-close@bugs.debian.org
Subject: Bug#634606: fixed in gcolor2 0.4-2.1
Date: Mon, 07 Nov 2011 15:32:33 +0000
Source: gcolor2
Source-Version: 0.4-2.1

We believe that the bug you reported is fixed in the latest version of
gcolor2, which is due to be installed in the Debian FTP archive:

gcolor2_0.4-2.1.diff.gz
  to main/g/gcolor2/gcolor2_0.4-2.1.diff.gz
gcolor2_0.4-2.1.dsc
  to main/g/gcolor2/gcolor2_0.4-2.1.dsc
gcolor2_0.4-2.1_i386.deb
  to main/g/gcolor2/gcolor2_0.4-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634606@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated gcolor2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 05 Nov 2011 15:59:22 +0100
Source: gcolor2
Binary: gcolor2
Architecture: source i386
Version: 0.4-2.1
Distribution: unstable
Urgency: low
Maintainer: Carlos C Soto <csoto@sia-solutions.com>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 gcolor2    - Simple GTK2 color selector and picker
Closes: 634606
Changes: 
 gcolor2 (0.4-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS: *** libtool.m4 and ltmain.sh have a version mismatch!
     ***": add patch from Ubuntu / Colin Watson:
     - aclocal.m4: Add an extra layer of quoting to ltmain.sh sanity check
       (closes: #634606, LP: #831236).
Checksums-Sha1: 
 f6d2849730a17be2dc8acabb5543e91e333c1630 1730 gcolor2_0.4-2.1.dsc
 610f2fad8f7f84d31d45ed0b76af9cc37de75693 36806 gcolor2_0.4-2.1.diff.gz
 1e2fd33b499551a891242b8bed9f2bed57069348 25902 gcolor2_0.4-2.1_i386.deb
Checksums-Sha256: 
 9a79c31ba646dbacc59bacb1a4d0290ce2549a19267f4b4c208a406c58d5bb25 1730 gcolor2_0.4-2.1.dsc
 bb60c58accd87132791771c96f56835b3bccc4f0cc31a58b1cf3f96c7310e906 36806 gcolor2_0.4-2.1.diff.gz
 f914b9234518484606457b005b37682276bac3a985aab962f865bb9f9fedf423 25902 gcolor2_0.4-2.1_i386.deb
Files: 
 80fea43dd8b85edd19c69b7bce8eea8e 1730 gnome optional gcolor2_0.4-2.1.dsc
 3fa272c185c59879b8361eaa2736f7c8 36806 gnome optional gcolor2_0.4-2.1.diff.gz
 fc51fc24e913e9db1f26f4ae106647d8 25902 gnome optional gcolor2_0.4-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOtVA8AAoJELs6aAGGSaoGoBIP/AgDvTJRTkpAnRs92iLX6K8d
wWNGVAKdORUjwo0ucmx5V8ErgvZ9wpAZIoJa/lqfj9WZe7ubzTkaTX+Jp6jN9sN+
L6EZ9GAOXiMTF/JcABjfl0hOuSRo+tYsINsOP6Io/lAHAiSeFqwTWIu4oby55LPO
4jHyGK+JPnPUgI+AUNiFCHqLgy6Ofi+kExe4JRMCIsZ2B0b4zPV0eBlmLEZTsW+T
EVCIo1qbJOjXfDHMhQyZXnB+jZFPOA3b+VC2871IW8EzlUZDL4aSqN+QPzJabRGc
nqIiCM12vdcaSVlyPCDq8670Hd9YFv8gITGcyqwM8Lc/V9AyYr9z6XtgyOFZY4WK
wYB1F/A/i2nZW23S1uz23Ps9n16AcEeMsAsiz/FeIUE7La8cnGQhKcE2wqDx2qCE
qAGWDcaFhbjNBQpOWJYel3K4Lo/gef3dy773aY2GjQN++FTwIowVKcwTtcePBHCk
LOyetuO2kEddrWlwaj/6sZWiwIxI3jmFe3cRSJNz3TmT5VtjaaMulJW8HFiyqdi5
jJdskv1bqzkt4BJkFfgbs/ZiVwaxEP0FRIQ1eV6ktWz3K+uQTYKNDjbUujyx6Sfa
dlieUM4o3CXYeIAH065ntPhdxYMp6Ey4GHstF/jxhxzMRzPQy7WYUSIz7yHtVecn
7ZWor9RsyLMBinysf8xD
=o4wC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:41:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:09:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.